Subject: Re: [PATCH -next] misc: fix various misc/mic/host/ build errors

From: Mark Brown <[email-masked]>
Date: Thu, 17 Oct 2013 15:16:29 +0100

On Thu, Oct 17, 2013 at 04:02:25PM +0200, Thierry Reding wrote:
> On Wed, Oct 16, 2013 at 01:37:27PM -0700, Greg Kroah-Hartman wrote:

> > Yes, I'll do that as part of my normal tree submission process.

> Actually, ensuring correct merge order won't be enough, will it? That
> doesn't magically fixes that the function's signature actually changed.

> Shouldn't the update of the sysfs_get_dirent() call be fixed within the
> same patch that updates the sysfs_get_dirent() signature?

They're applied in different trees so they're both OK by themselves,
it's the merge that brings the two together that needs to do the fixup.